package cn.estsh.i3plus.core.apiservice.controller;

import cn.estsh.i3plus.core.api.iservice.busi.ITestTransService;
import cn.estsh.i3plus.platform.common.util.PlatformConstWords;
import cn.estsh.i3plus.pojo.base.enumutil.ResourceEnumUtil;
import cn.estsh.impp.framework.base.controller.CoreBaseController;
import cn.estsh.impp.framework.boot.exception.ImppBusiException;
import cn.estsh.impp.framework.boot.exception.ImppExceptionBuilder;
import cn.estsh.impp.framework.boot.fastdfs.FastDFSClient;
import cn.estsh.impp.framework.boot.fastdfs.FastDFSFile;
import cn.estsh.impp.framework.boot.util.ResultBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.servlet.mvc.support.RedirectAttributes;

/**
 * @Description : 对事务以及entityManager的操作演示
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2019-04-29 17:20
 * @Modify:
 **/
@RestController
@Api(description="对事务以及entityManager的操作演示")
@RequestMapping(PlatformConstWords.BASE_URL + "/demo-trans")
public class DemoTransactionController extends CoreBaseController{
    private static final Logger LOGGER = LoggerFactory.getLogger(DemoTransactionController.class);

    @Autowired
    private ITestTransService transService;

    @PostMapping("/test1")
    @ApiOperation(value = "dao混合调用")
    public ResultBean transTest1(int type,String name) {
        transService.testListTran(type,name);

        return ResultBean.success("测试成功");
    }

    @PostMapping("/test2")
    @ApiOperation(value = "dao混合调用2")
    public ResultBean transTest2(int type,String name) {
        transService.testListTranSec(type,name);

        return ResultBean.success("测试成功");
    }
}
